summaryrefslogtreecommitdiffstats
path: root/ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
committerSlávek Banko <slavek.banko@axis.cz>2020-11-15 18:10:52 +0100
commit830f9676b4568fdf5704bd94c856d97d4c35813d (patch)
treeb7eb9bd9ca4fdb4c97da7b013583c87ab8f6e671 /ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst
parent0bfe4e2db5faf194cbafe6c3fcb8f331dd32f8c5 (diff)
downloadtde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.tar.gz
tde-packaging-830f9676b4568fdf5704bd94c856d97d4c35813d.zip
DEB: adjusted to new 'core' folder for main packages.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst')
-rw-r--r--ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst39
1 files changed, 39 insertions, 0 deletions
diff --git a/ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst b/ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst
new file mode 100644
index 000000000..911098590
--- /dev/null
+++ b/ubuntu/lucid_automake/core/kdemultimedia/debian/kmix-kde3.preinst
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+
+case "$1" in
+
+ upgrade)
+ mkdir -p /usr/share/autostart.bkp
+ dpkg-divert --add --rename --divert /usr/share/autostart.bkp/kmix_autostart.desktop /usr/share/autostart/kmix_autostart.desktop
+ rm -f /usr/share/autostart/kmix_autostart.desktop
+ #dpkg-divert --add --rename --divert /usr/share/autostart.bkp/restore_kmix_volumes.desktop /usr/share/autostart/restore_kmix_volumes.desktop
+ #rm -f /usr/share/autostart/restore_kmix_volumes.desktop
+ #mkdir -p /opt/kde3/share/autostart.bkp/restore_kmix_volumes.desktop
+ #dpkg-divert --add --rename --divert /opt/kde3/share/autostart.bkp/restore_kmix_volumes.desktop /opt/kde3/share/autostart/restore_kmix_volumes.desktop
+ #rm -f /opt/kde3/share/autostart/restore_kmix_volumes.desktop
+ ;;
+
+ install)
+ mkdir -p /usr/share/autostart.bkp
+ dpkg-divert --add --rename --divert /usr/share/autostart.bkp/kmix_autostart.desktop /usr/share/autostart/kmix_autostart.desktop
+ rm -f /usr/share/autostart/kmix_autostart.desktop
+ #dpkg-divert --add --rename --divert /usr/share/autostart.bkp/restore_kmix_volumes.desktop /usr/share/autostart/restore_kmix_volumes.desktop
+ #rm -f /usr/share/autostart/restore_kmix_volumes.desktop
+ #mkdir -p /opt/kde3/share/autostart.bkp/restore_kmix_volumes.desktop
+ #dpkg-divert --add --rename --divert /opt/kde3/share/autostart.bkp/restore_kmix_volumes.desktop /opt/kde3/share/autostart/restore_kmix_volumes.desktop
+ #rm -f /opt/kde3/share/autostart/restore_kmix_volumes.desktop
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+
+esac
+
+#DEBHELPER#
+
+exit 0